
open Schema_types

type validator

(** {2 validator constructors} *)

(*
val validator_of_simple_type : simple_type_def -> validator

val validator_of_complex_type :
  complex_type_def ->
    ((string * string) list -> Value.t) * validator
*)

val validator_of_elt_decl : elt_decl -> validator

(** {2 validation} *)

  (** validate a PXP stream against a validator *)
val validate : validator:validator -> Pxp_yacc.event Stream.t -> Value.t

  (** validate a string against a simple type *)
val validate_simple_type : simple_type_def -> string -> Value.t

