let buflen = 1024
let buf = String.create buflen

let x = ref [ 1 ; 2 ]

let load_expat s =
  let ic = open_in s in
  let p = Expat.parser_create "" in
  Expat.set_start_element_handler p 
    (fun name att -> x := [ 2 ]; Printf.printf "start=%s\n" name); 
  let rec loop () =
    let n = input ic buf 0 buflen in
    if (n > 0) then (Expat.parse_sub p buf 0 n; loop ()) 
  in
  loop(); 
  Expat.final p;
  close_in ic

let () = while true do Printf.printf "Bla\n"; flush stdout; load_expat Sys.argv.(1) done
(*
let () = load_expat Sys.argv.(1)
*)
