  (** 1 .. Inf *)
val pos_int : Types.descr

  (** 0 .. Inf *)
val non_neg_int : Types.descr

  (** -Inf .. -1 *)
val neg_int : Types.descr

  (** -Inf .. 0 *)
val non_pos_int : Types.descr

val intstr : Types.descr
val pos_intstr : Types.descr
val neg_intstr : Types.descr

val true_atom : Atoms.v
val false_atom : Atoms.v

val true_type : Types.descr
val false_type : Types.descr

val any : Types.descr
val atom : Types.descr
val nil : Types.descr

val bool : Types.descr
val int : Types.descr
val string : Types.descr
val char_latin1 : Types.descr
val string_latin1 : Types.descr
